Bug 619641 - luci init script prints a python traceback when status is queried by a non-root user
Summary: luci init script prints a python traceback when status is queried by a non-ro...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 02:23 UTC by Ryan McCabe
Modified: 2016-04-26 14:10 UTC (History)
3 users (show)

Fixed In Version: luci-0.22.2-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:12:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ryan McCabe 2010-07-30 02:23:08 UTC
[ryan@chipotle ~]$ service luci status
Traceback (most recent call last):
  File "/usr/bin/paster", line 9, in <module>
    load_entry_point('PasteScript==1.7.3', 'console_scripts', 'paster')()
  File "/usr/lib/python2.6/site-packages/paste/script/command.py", line 84, in run
    invoke(command, command_name, options, args[1:])
  File "/usr/lib/python2.6/site-packages/paste/script/command.py", line 123, in invoke
    exit_code = runner.run(args)
  File "/usr/lib/python2.6/site-packages/paste/script/command.py", line 218, in run
    result = self.command()
  File "/usr/lib/python2.6/site-packages/paste/script/serve.py", line 137, in command
    self.options.set_user, self.options.set_group)
  File "/usr/lib/python2.6/site-packages/paste/script/serve.py", line 493, in change_user_group
    os.setgid(gid)
OSError: [Errno 1] Operation not permitted
Changing user to luci:luci (141:141)

Should show:

[ryan@chipotle init.d]$ sh luci status
[ryan@chipotle init.d]$ echo $?
4

Comment 1 Ryan McCabe 2010-07-30 02:23:57 UTC
Fixed in luci git commit 3f14ae70b45a560d2c63340cd90005ec5477a09e

Comment 4 releng-rhel@redhat.com 2010-11-10 22:12:28 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.